%!TEX root=../../thesis.tex
%!TEX file=content/introduction/open-problems.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Open Problems}

While \caros may ultimately not be replacing parallel robots in their line of duty, there are promising applications for \caros, as the overview of applications in~\cref{sec:introduction:applications-demonstrators} shows.
However, to further improve accuracy and control of cable robots, their key difference to conventional parallel robots needs to be better addressed and more thoroughly investigated.
Since the key difference is made up by the use of cables, research focus is more and more being shifted toward modeling cables.
There have been several promising research results in the past as shown in~\cref{sec:introduction:literature-overview}, however, most of the models lack key factors like either elasticity, flexibility, or variable length, or are purely kinematics based.

Significance of considering cables, especially their mass, has been proven by~\citeauthor{Bedoustani.2008} in~\citeyear{Bedoustani.2008}, however, only few contributions thoroughly investigated modeling approaches and compared them.
\Citeauthor{AyalaCuevas.2018,Godbole.2018} presented promising approaches, yet limit their applicability due to the assumptions being made\textemdash no longitudinal motion or no transversal motion, respectively.
\Citeauthor{Du.2015} presented a \caro model capturing spatial cable motion well, however, with issues of numerical stability.
Most literature on cable modeling for \caros is based on purely geometric description of the cable and incorporating some kinematics to make it a physically equivalent body.
A coherent modeling of \caros viewing them as a system of multiple flexible bodies has yet to be established.
In addition, little attention has been paid to the internal dynamics of the cables used in many applications, which affects both statics and dynamics, in particular in control tasks.
Large scale and high dynamics applications of \caros require profound knowledge of the overall system dynamics and do not allow for regarding the system as a free-floating rigid body.


With beam theory, more comprehensive approaches like the linear and nonlinear Euler-Bernoulli beam~\autocite{Zohoor.2013,Zohoor.2008}, or the geometrically more consistent Kirchhoff beams~\autocite{Boyer.2011}, Reissner beams~\autocite{Ibrahimbegovic.1995}, and Cosserat rods~\autocite{Lang.2011,Lang.2009} are available.
No contributions have yet been made transferring classical mechanics topics like beam theory and incorporating them into a \caro formulation last because its transferability is unknown and its model complexity is rather high.
Nevertheless, this approach seems the most promising as it provides a geometrically-exact and mechanically-consistent formulation of cables for \caros.
